draw_lit_rle_sprite(3)

NAME
draw_lit_rle_sprite - Draws a tinted RLE sprite. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void draw_lit_rle_sprite(BITMAP *bmp, const RLE_SPRITE *sprite, int x, y, color);

DESCRIPTION
Tinted version of draw_rle_sprite(). See the description of draw_lit_sprite(). This must only be used after you have set up the color mapping table (for 256-color modes) or blender functions (for truecolor modes). Example:
   /* Some one time initialisation code. */
   COLOR_MAP global_light_table;
   create_light_table(&global_trans_table, my_palette,
                      10, 10, 60, NULL);
   ...
   if (get_color_depth() == 8)
      color_map = &global_light_table;
   else
      set_trans_blender(40, 40, 255, 255);

   /* Lit the cape with a blueish light. */
   draw_lit_rle_sprite(buffer, rle_colored_cape, x, y);

SEE ALSO
draw_rle_sprite(3), draw_trans_rle_sprite(3), draw_lit_sprite(3), color_map(3), set_trans_blender(3), bitmap_mask_color(3)